<?php


/**
 * This class adds structure of 'katao_member' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoMemberMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoMemberMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_member');
		$tMap->setPhpName('KataoMember');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('KATAO_INDEX', 'KataoIndex', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('KATAO_NODE_ID', 'KataoNodeId', 'int', CreoleTypes::INTEGER, 'katao_node', 'ID', true, null);

		$tMap->addForeignKey('NEXT_KATAO_NODE_ID', 'NextKataoNodeId', 'int', CreoleTypes::INTEGER, 'katao_node', 'ID', false, null);

		$tMap->addForeignKey('KATAO_MEMBER_ID', 'KataoMemberId', 'int', CreoleTypes::INTEGER, 'katao_member', 'ID', false, null);

		$tMap->addColumn('FIRST_NAME', 'FirstName', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('LAST_NAME', 'LastName', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('ACCOUNTING_CODE', 'AccountingCode', 'string', CreoleTypes::CHAR, true, 6);

		$tMap->addColumn('ACCOUNTING_CODE_SOL', 'AccountingCodeSol', 'string', CreoleTypes::CHAR, true, 6);

		$tMap->addColumn('INITIAL_AMOUNT_EURO', 'InitialAmountEuro', 'double', CreoleTypes::FLOAT, false, null);

		$tMap->addColumn('INITIAL_AMOUNT_SOL', 'InitialAmountSol', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('IS_REFERER', 'IsReferer', 'int', CreoleTypes::INTEGER, false, 1);

		$tMap->addColumn('IS_DELEGATE', 'IsDelegate', 'int', CreoleTypes::INTEGER, false, 1);

		$tMap->addColumn('IS_ANONYMOUS', 'IsAnonymous', 'int', CreoleTypes::INTEGER, false, 1);

		$tMap->addColumn('IS_MEMBER', 'IsMember', 'int', CreoleTypes::INTEGER, false, 1);

		$tMap->addColumn('CARD_NUMBER_SOL', 'CardNumberSol', 'string', CreoleTypes::CHAR, false, 8);

		$tMap->addColumn('USER_SITUATION', 'UserSituation', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('USER_BIRTHDAY', 'UserBirthday', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('PARRAIN_NAME', 'ParrainName', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

	} // doBuild()

} // KataoMemberMapBuilder
